# AIEventDisasterZeppelinerCrashed Class Reference

Event Disaster Zeppeliner Crashed, indicating a zeppeliner has crashed on an airport and is blocking the runway. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventDisasterZeppelinerCrashed:

## Public Member Functions
| AIEventDisasterZeppelinerCrashed (StationID station)
StationID | GetStationID ()
| Get the StationID of the station containing the affected airport.
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.
static AIEventDisasterZeppelinerCrashed * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
StationID | station

## Detailed Description

Event Disaster Zeppeliner Crashed, indicating a zeppeliner has crashed on an airport and is blocking the runway.

Definition at line 740 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventDisasterZeppelinerCrashed::AIEventDisasterZeppelinerCrashed | ( | StationID | station | ) | `[inline]`

Parameters:

  | station | The station containing the affected airport

Definition at line 748 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventDisasterZeppelinerCrashed* AIEventDisasterZeppelinerCrashed::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 758 of file ai_event_types.hpp.

static const char* AIEventDisasterZeppelinerCrashed::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIEvent.

Definition at line 743 of file ai_event_types.hpp.

StationID AIEventDisasterZeppelinerCrashed::GetStationID | ( |  | ) | `[inline]`

Get the StationID of the station containing the affected airport.

Returns:
  The StationID of the station containing the affected airport.

Definition at line 764 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp